Edit a pasted-text document
curl --request PATCH \
--url https://api.pyai.com/v1/knowledgebases/{id}/documents/{docId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.pyai.com/v1/knowledgebases/{id}/documents/{docId}"
payload = {
"text": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', title: '<string>'})
};
fetch('https://api.pyai.com/v1/knowledgebases/{id}/documents/{docId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"kbId": "<string>",
"orgId": "<string>",
"uri": "<string>",
"title": "<string>",
"filename": "<string>",
"mime": "<string>",
"sizeBytes": 123,
"chunks": 123,
"error": "<string>",
"indexedAt": 123,
"createdAt": 123
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Knowledge Bases
Edit a pasted-text document
Edit in place and re-ingest. Only documents added as pasted text (source: "api") can be edited; re-add files or URLs instead. Requires the kb:manage scope.
PATCH
/
v1
/
knowledgebases
/
{id}
/
documents
/
{docId}
Edit a pasted-text document
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Body
application/json
Maximum string length:
200Response
Updated and re-ingesting
A knowledge base document and its ingestion state.
upload = file, url = fetched page, api = pasted text.
Available options:
upload, url, api Indexed chunk count (0 until indexed).
Available options:
pending, indexed, failed Human-readable failure/stall reason.
Unix ms.
Unix ms.
⌘I